Freeciv-3.1: /fast/freeciv/nightly/S3_1/server/scripting/api_server_notify.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
api_server_notify.c File Reference
`#include "featured_text.h"`
`#include "research.h"`
`#include "luascript.h"`
`#include "notify.h"`
`#include "api_server_notify.h"`

Go to the source code of this file.

## Functions

void | api_notify_embassies_msg (lua_State *L, Player *pplayer, Tile *ptile, int event, const char *message)
void | api_notify_event_msg (lua_State *L, Player *pplayer, Tile *ptile, int event, const char *message)
void | api_notify_research_msg (lua_State *L, Player *pplayer, bool include_plr, int event, const char *message)
void | api_notify_research_embassies_msg (lua_State *L, Player *pplayer, int event, const char *message)

## Function Documentation

## ◆ api_notify_embassies_msg()

void api_notify_embassies_msg | ( | lua_State * | L,
|  | Player * | pplayer,
|  | Tile * | ptile,
|  | int | event,
|  | const char * | message
| ) |  |

Notify players which have embassies with pplayer with the given message.

Definition at line 34 of file api_server_notify.c.

Referenced by tolua_server_notify_embassies_msg00().

## ◆ api_notify_event_msg()

void api_notify_event_msg | ( | lua_State * | L,
|  | Player * | pplayer,
|  | Tile * | ptile,
|  | int | event,
|  | const char * | message
| ) |  |

Notify pplayer of a complex event.

Definition at line 45 of file api_server_notify.c.

Referenced by tolua_server_notify_event_msg00().

## ◆ api_notify_research_embassies_msg()

void api_notify_research_embassies_msg | ( | lua_State * | L,
|  | Player * | pplayer,
|  | int | event,
|  | const char * | message
| ) |  |

Notify players sharing research with the player.

Definition at line 73 of file api_server_notify.c.

Referenced by tolua_server_notify_research_embassies_msg00().

## ◆ api_notify_research_msg()

void api_notify_research_msg | ( | lua_State * | L,
|  | Player * | pplayer,
|  | bool | include_plr,
|  | int | event,
|  | const char * | message
| ) |  |

Notify players sharing research with the player.

Definition at line 56 of file api_server_notify.c.

Referenced by tolua_server_notify_research_msg00().